## xabacus 7.5.5

=== win32/Makefile ===
# @(#)Makefile
#
# Copyright 1995 - 2009  David A. Bagley, bagleyd@tux.org
#
# All Rights Reserved
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and
# that both that copyright notice and this permission notice appear in
# supporting documentation, and that the name of the author not be
# used in advertising or publicity pertaining to distribution of the
# software without specific, written prior permission.
#
# This program is distributed in the hope that it will be "useful",
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# Windows Makefile for Abacus

# DOS, UNIX & MKS
#CP = copy
#RM = del

CP = cp -p
RM = rm -f
LN_S = rm -f *.lnk; ln -s

# Set your C++ compiler
# Sun, SunC, Borland, Watcom, Microsoft, GNU
#CC = cc
#CC = acc
#CC = bcc
#CC = wcc
#CC = cl
#CC = CC
#CC = g++ -Wall -Woverloaded-virtual
#CC = gcc -Wall -ansi -pedantic
CC = gcc-3 -g -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing

# DEFAULT, Watcom
LD = $(CC)
#LD = wcl

# Microsoft, ?, Borland
#RC = rc
#RC = brc
#RC = brcc
RC = windres

# Sun, SunC
LINT = lint

INDENT = indent

# DOS, UNIX, PostScript
#PRINT = print
PRINT = lpr
#PRINT = enscript -2r

N=
C=.c
#C=.cpp
#C=.cc

O=.o
#O=.obj
S=$(N) $(N)
E=.exe
#E=
A=

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code
# E as the executable extension

.SUFFIXES:	$(C) $(O) $(E) .rc .res

wIDGET = abacus
WIDGET = Abacus
P=w
R=$(P)
V=$(P)
PROG = $(R)$(wIDGET)
VER = $(V)$(wIDGET)
STORE = /dosa/$(PROG)/
STORE2 = /dosc/$(PROG)/

READPATH = c:/WINDOWS
#READPATH = /WINDOWS

#WINVER = 0x030a
WINVER = 0x0950

##CHOME = c:\\bc\\
#CHOME = c:\bc\
#CHOME = c:/bc/
#CHOME =
CHOME = /usr/lib/w32api
##INCPATH = $(CHOME)include
INCPATH = /usr/local/include
#LIBPATH = $(CHOME)lib
LIBPATH = $(CHOME)
INCLUDES = -I$(INCPATH)
LIBRARIES = -L$(LIBPATH) -lwinmm

HDRS = $(WIDGET)P.h $(WIDGET).h \
xwin.h file.h timer.h rngs.h sound.h

COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)
OBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)rngs$(O)$(S)sound$(O)$(S)\
$(COREOBJS)$(S)$(P)$(wIDGET)$(O)

CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) \
$(WIDGET)M$(C) $(WIDGET)T$(C)
SRCS = xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C) \
$(CORESRCS) $(P)$(wIDGET)$(C)

TEXT = $(WIDGET).txt x$(wIDGET).htm

#OBJS = $(SRCS:$(C)=$(O))

DEFINES = -DWINVER=$(WINVER) -DHAVE_UNISTD_H \
-DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
-DBUMPSOUND=\"bump\" -DDRIPSOUND=\"move\" \
-DDEMOPATH=\"$(DEMOPATH)\"

# large memory model: Borland, Microsoft, UNIX
##COPT = -ml -WE -v -w4
#COPT = -AL -GA -Ow -W4 -Zp -Zi
#COPT = -O2
COPT = -O2 -mno-cygwin
#COPT = -g -DMONOTEST

# Borland, Microsoft, UNIX
#LOPT = -e
#LOPT = , /align:16, NUL, /nod llibcew libw oldnames,
#LOPT = -o
LOPT = -mwindows

CFLAGS = $(COPT) $(DEFINES) $(INCLUDES)
LDFLAGS = $(LOPT)
LIBS = $(LIBRARIES)

$(C)$(O):
	$(CC) -c $(CFLAGS) $<

.rc.res:
	$(RC) -r $(INCLUDES) $<

all:	$(PROG)$(E) $(TEXT)

$(WIDGET)P.h:	../$(WIDGET)P.h
	$(LN_S) ../$(WIDGET)P.h $(WIDGET)P.h

$(WIDGET).h:	../$(WIDGET).h
	$(LN_S) ../$(WIDGET).h $(WIDGET).h

xwin.h:	../xwin.h
	$(LN_S) ../xwin.h xwin.h

file.h:	../file.h
	$(LN_S) ../file.h file.h

timer.h:	../timer.h
	$(LN_S) ../timer.h timer.h

rngs.h:	../rngs.h
	$(LN_S) ../rngs.h rngs.h

sound.h:	../sound.h
	$(LN_S) ../sound.h sound.h

$(WIDGET)$(C):	../$(WIDGET)$(C)
	$(LN_S) ../$(WIDGET)$(C) $(WIDGET)$(C)

$(WIDGET)C$(C):	../$(WIDGET)C$(C)
	$(LN_S) ../$(WIDGET)C$(C) $(WIDGET)C$(C)

$(WIDGET)D$(C):	../$(WIDGET)D$(C)
	$(LN_S) ../$(WIDGET)D$(C) $(WIDGET)D$(C)

$(WIDGET)M$(C):	../$(WIDGET)M$(C)
	$(LN_S) ../$(WIDGET)M$(C) $(WIDGET)M$(C)

$(WIDGET)T$(C):	../$(WIDGET)T$(C)
	$(LN_S) ../$(WIDGET)T$(C) $(WIDGET)T$(C)

xwin$(C):	../xwin$(C)
	$(LN_S) ../xwin$(C) xwin$(C)

file$(C):	../file$(C)
	$(LN_S) ../file$(C) file$(C)

timer$(C):	../timer$(C)
	$(LN_S) ../timer$(C) timer$(C)

rngs$(C):	../rngs$(C)
	$(LN_S) ../rngs$(C) rngs$(C)

sound$(C):	../sound$(C)
	$(LN_S) ../sound$(C) sound$(C)

$(PROG)$(C):	../x$(wIDGET)$(C)
	$(LN_S) ../x$(wIDGET)$(C) $(PROG)$(C)

lessons:	../lessons
	$(CP)r ../lessons .

$(WIDGET).txt:	../COPYING ../VERSION ../README ../TODO ../ChangeLog ../NEWS
	cat ../COPYING > $(WIDGET).txt
	echo "" >> $(WIDGET).txt
	cat ../VERSION >> $(WIDGET).txt
	echo "" >> $(WIDGET).txt
	sed s/^x$(wIDGET)/w$(wIDGET)/ ../README >> $(WIDGET).txt
	echo "" >> $(WIDGET).txt
	cat ../TODO >> $(WIDGET).txt
	echo "" >> $(WIDGET).txt
	cat ../ChangeLog >> $(WIDGET).txt
	echo "" >> $(WIDGET).txt
	cat ../NEWS >> $(WIDGET).txt

# This is for X-Windows but contains some general stuff too.
x$(wIDGET).htm:	../x$(wIDGET).html
	$(LN_S) ../x$(wIDGET).html x$(wIDGET).htm

$(WIDGET)$(O):	$(HDRS)
$(WIDGET)C$(O):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
$(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)T$(O):	$(WIDGET).h $(WIDGET)P.h
xwin$(O):	xwin.h
file$(O):	file.h
timer$(O):	timer.h
rngs$(O):	rngs.h
sound$(O):	sound.h file.h
$(PROG)$(O):	$(WIDGET).h $(WIDGET)P.h xwin.h

$(wIDGET).ico:	../pixmaps/$(wIDGET).t.xpm ../pixmaps/$(wIDGET).m.xpm ../pixmaps/$(wIDGET).l.xpm
	xpmtoppm -alphaout $(wIDGET)_alpha.t.pgm ../pixmaps/$(wIDGET).t.xpm >\
		$(wIDGET).t.ppm
	xpmtoppm -alphaout $(wIDGET)_alpha.m.pgm ../pixmaps/$(wIDGET).m.xpm >\
		$(wIDGET).m.ppm
	xpmtoppm -alphaout $(wIDGET)_alpha.l.pgm ../pixmaps/$(wIDGET).l.xpm >\
		$(wIDGET).l.ppm
	ppmtowinicon -andpgms\
		$(wIDGET).t.ppm $(wIDGET)_alpha.t.pgm\
		$(wIDGET).m.ppm $(wIDGET)_alpha.m.pgm\
		$(wIDGET).l.ppm $(wIDGET)_alpha.l.pgm\
		> $(wIDGET).ico
	$(RM) *.ppm *.pgm

$(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico
	$(RC) $< -O coff -o $@

#	$(RC) $(INCLUDES) $(PROG).rc

$(PROG)$(E):	$(OBJS) $(PROG).res lessons
	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@

##$(PROG)$(E):	$(OBJS) $(PROG).res $(PROG).def
# Borland, Microsoft, UNIX
#	$(LD) $(COPT) $(OBJS) $(LIBS)
#	$(LD) $(COPT) $(OBJS) $(LIBS) $(LOPT)$(PROG)$(E)
#	$(LD) $(LOPT)$(PROG)$(E) $(COPT) $(OBJS) $(LIBS)
#	$(RC) $(INCLUDES) $(PROG).rc

run:
	./$(PROG)

clean:
	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj *.lnk
	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
	$(RM) *.ppm *.pgm

distclean:	clean
	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
	$(RM) xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
	$(RM) xwin.h file.h timer.h rngs.h sound.h Abacus.les
	$(RM)r lessons

small:	all
	strip --strip-all $(PROG)$(E); true
	upx $(PROG)$(E); true

install:	small
	$(CP) $(PROG)$(E) `cygpath -W`
	$(CP) $(PROG).ini `cygpath -W`

uninstall:
	$(RM) `cygpath -W`/$(PROG)$(E)
	$(RM) `cygpath -W`/$(PROG).ini

antic :
	antic *.h *.c
lint :	$(SRCS)
	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)

ASCIIWINEXTEND=c h ini rc txt htm les
DOSDIR=../../win/$(PROG)
# Handles both versions (Linux and SunOS) of unix2dos and dos2unix

dos2unix:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				dos2unix $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

unix2dos:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				unix2dos $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

dist:
	mkdir -p $(DOSDIR)/lessons;\
	for j in $(ASCIIWINEXTEND); do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $(DOSDIR)/$${k}.old;\
				cp $${k} $(DOSDIR)/$${k};\
				unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
				rm $(DOSDIR)/$${k}.old;\
			fi;\
		done;\
	done;\
	for k in *.exe *.ico *.bmp *.wav; do\
		if [ -r $${k} ]; then\
			cp -p $${k} $(DOSDIR)/$${k};\
		fi;\
	done;\
	for k in lessons/*.les; do\
		if [ -r $${k} ]; then\
			cp $${k} $(DOSDIR)/$${k}.old;\
			cp $${k} $(DOSDIR)/$${k};\
			unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
			rm $(DOSDIR)/$${k}.old;\
		fi;\
	done

=== debian/changelog ===
xabacus (7.5.5-1) unstable; urgency=low

  * [47215bc] Imported Upstream version 7.5.5
  * [d8f9613] reimport debian/ as present in 7.1.7-1 Somehow the last
    upload had been made native, including debian/ in the orig.tar.gz!
    Let's now get back to sane ways ...
  * [3a539b7] New / old maintainer (Closes: #382562)
  * [6164813] debian/copyright: restructure
  * [c3eab2f] debian/{doc-base,menu,desktop}: adjust to new standards
  * [bb1faa0] debian/{rules,control}: streamline, new standards, making
    lintian happy and allowing for Standards-Version: 3.8.3 (Closes:
    #536836)
  * [e0b3dc6] change the source package format to 3.0 (quilt)
  * [b2e34d2] debian/control: add Vcs-Browser and Vcs-Git

 -- Florian Ernst <florian@debian.org>  Tue, 29 Dec 2009 17:48:21 +0100

=== debian/control ===
Source: xabacus
Section: games
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev, autotools-dev
Homepage: http://www.tux.org/~bagleyd/abacus.html
Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git
Vcs-Git: git://git.debian.org/collab-maint/xabacus.git

Package: xabacus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: xabacus
Conflicts: xabacus
Replaces: xabacus
Description: simulation of the ancient calculator (plain X version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This version was compiled without the Motif GUI widget library and thus
 shows limited user interface functionality. See xmabacus for the
 extended version.

Package: xmabacus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: extra
Provides: xabacus
Conflicts: xabacus
Replaces: xabacus
Description: simulation of the ancient calculator (Motif version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This is the Motif version which shows additional functionality. It was
 compiled with lesstif2. Motif is a GUI widget library for the X Window
 system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr --bindir=/usr/games --with-xpm \
		    --without-rplay --with-esound --without-nas

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

build:
	true

build-motif-stamp:
	dh_testdir
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --with-motif
	$(MAKE)
	touch $@

build-nomotif-stamp:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) -i distclean
	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --without-motif
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean build-motif-stamp build-nomotif-stamp config.sub config.guess

install: install-motif-stamp install-nomotif-stamp
	install -D -m 0644 debian/xabacus.lintian-overrides $(CURDIR)/debian/xabacus/usr/share/lintian/overrides/xabacus
	for INFIX in '' m ; do \
		set -e ; \
		install -D debian/x$${INFIX}abacus.desktop \
			$(CURDIR)/debian/x$${INFIX}abacus/usr/share/applications/x$${INFIX}abacus.desktop ; \
		PIXDIR=$(CURDIR)/debian/x$${INFIX}abacus/usr/share/pixmaps ; \
		install -D -m 0644 $(CURDIR)/pixmaps/abacus.t.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
		install -D -m 0644 $(CURDIR)/pixmaps/abacus.m.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
		rm $(CURDIR)/debian/x$${INFIX}abacus/usr/share/games/xabacus/Abacus.ps ; \
	done

install-motif-stamp: build-motif-stamp
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmabacus xapploaddir=/etc/X11/app-defaults

install-nomotif-stamp: build-nomotif-stamp
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xabacus xapploaddir=/etc/X11/app-defaults

binary-indep: install
# We have nothing to do by default.

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A debian/README.Debian Abacus.ps README TODO
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## xabacus 7.6

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2009  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2010  David A. Bagley, bagleyd@tux.org
 #
 # All Rights Reserved
 #
@@ -21,6 +21,7 @@
 # DOS, UNIX & MKS
 #CP = copy
 #RM = del
+#LN_S = cp
 
 CP = cp -p
 RM = rm -f
@@ -36,7 +37,7 @@
 #CC = CC
 #CC = g++ -Wall -Woverloaded-virtual
 #CC = gcc -Wall -ansi -pedantic
-CC = gcc-3 -g -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
+CC = gcc-3 -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
 
 # DEFAULT, Watcom
 LD = $(CC)
@@ -107,7 +108,7 @@
 LIBRARIES = -L$(LIBPATH) -lwinmm
 
 HDRS = $(WIDGET)P.h $(WIDGET).h \
-xwin.h file.h timer.h rngs.h sound.h
+xwin.h file.h timer.h rngs.h sound.h version.h
 
 COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
 $(WIDGET)M$(O)$(S)$(WIDGET)T$(O)
@@ -174,6 +175,9 @@
 sound.h:	../sound.h
 	$(LN_S) ../sound.h sound.h
 
+version.h:	../version.h
+	$(LN_S) ../version.h version.h
+
 $(WIDGET)$(C):	../$(WIDGET)$(C)
 	$(LN_S) ../$(WIDGET)$(C) $(WIDGET)$(C)
 
@@ -210,10 +214,10 @@
 lessons:	../lessons
 	$(CP)r ../lessons .
 
-$(WIDGET).txt:	../COPYING ../VERSION ../README ../TODO ../ChangeLog ../NEWS
+$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog ../NEWS
 	cat ../COPYING > $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
-	cat ../VERSION >> $(WIDGET).txt
+	cat version.h | cut -f2 -d\" >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
 	sed s/^x$(wIDGET)/w$(wIDGET)/ ../README >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
@@ -253,7 +257,7 @@
 		> $(wIDGET).ico
 	$(RM) *.ppm *.pgm
 
-$(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico
+$(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico version.h
 	$(RC) $< -O coff -o $@
 
 #	$(RC) $(INCLUDES) $(PROG).rc
@@ -279,7 +283,7 @@
 distclean:	clean
 	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
 	$(RM) xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
-	$(RM) xwin.h file.h timer.h rngs.h sound.h Abacus.les
+	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h Abacus.les
 	$(RM)r lessons
 
 small:	all

=== debian/changelog ===
xabacus (7.6-1) unstable; urgency=low

  * [fcc390d] Imported Upstream version 7.6
  * [da52bff] Standards-Version: 3.8.4

 -- Florian Ernst <florian@debian.org>  Wed, 17 Feb 2010 18:10:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev, autotools-dev
 Homepage: http://www.tux.org/~bagleyd/abacus.html
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git

## xabacus 7.6.8

=== win32/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 CP = cp -p
 RM = rm -f
-LN_S = rm -f *.lnk; ln -s
+LN_S = ln -fs
 
 # Set your C++ compiler
 # Sun, SunC, Borland, Watcom, Microsoft, GNU

=== debian/changelog ===
xabacus (7.6.8-3) unstable; urgency=low

  * [ef0c5aa] debian/control: explicitly add libaudiofile-dev to B-D as we
    explicitly link to this library (see #556687 for background) and indirect
    B-D via libsd doesn't suffice (Closes: #657594)
  * [aa1017e] debian/rules: add recommended targets, and list phony targets
  * [02f0cf4] debian/control: Standards-Version: 3.9.3 (no further changes
    required)
  * [de76a79] debian/changelog: s/explicitely/explicitly/ as suggested by
    lintian
  * [6ccf1ae] drop old and unused lintian override
  * [315d365] use hardening via buildflags, B-D on dpkg-dev (>= 1.16.1)
    accordingly

 -- Florian Ernst <florian@debian.org>  Fri, 08 Jun 2012 14:59:40 +0200

xabacus (7.6.8-2) unstable; urgency=low

  * [d871a3f] explicitly pass audiofile to the linker; this works for the
    current packages, but generally the configure script ought to handle this;
    tested with binutils-gold (Closes: #556687)

 -- Florian Ernst <florian@debian.org>  Thu, 03 Mar 2011 18:58:36 +0100

xabacus (7.6.8-1) unstable; urgency=low

  * [9204a1a] Imported Upstream version 7.6.8
  * [1ea93bd] debian/copyright: update copyright years
  * [fd3513b] debian/control: Standards-Version: 3.9.1 (no changes
    required)

 -- Florian Ernst <florian@debian.org>  Mon, 21 Feb 2011 20:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev, autotools-dev
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libaudiofile-dev, libxpm-dev, autotools-dev, dpkg-dev (>= 1.16.1~)
 Homepage: http://www.tux.org/~bagleyd/abacus.html
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git
 Vcs-Git: git://git.debian.org/collab-maint/xabacus.git

## xabacus 7.7.1

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2010  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2012  David A. Bagley, bagleyd@tux.org
 #
 # All Rights Reserved
 #
@@ -105,7 +105,7 @@
 #LIBPATH = $(CHOME)lib
 LIBPATH = $(CHOME)
 INCLUDES = -I$(INCPATH)
-LIBRARIES = -L$(LIBPATH) -lwinmm
+LIBRARIES = -L$(LIBPATH) -lwinmm -lm
 
 HDRS = $(WIDGET)P.h $(WIDGET).h \
 xwin.h file.h timer.h rngs.h sound.h version.h
@@ -275,6 +275,8 @@
 run:
 	./$(PROG)
 
+# runtime options are currently ignored in Windows, set ini
+
 clean:
 	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj *.lnk
 	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
@@ -298,9 +300,10 @@
 	$(RM) `cygpath -W`/$(PROG)$(E)
 	$(RM) `cygpath -W`/$(PROG).ini
 
-antic :
+antic:
 	antic *.h *.c
-lint :	$(SRCS)
+
+lint:	$(SRCS)
 	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
 
 ASCIIWINEXTEND=c h ini rc txt htm les

=== debian/changelog ===
xabacus (7.7.1-3) unstable; urgency=low

  * [39e491c] B-D on libmotif-dev instead of lesstif2-dev (Closes: #714674)
  * [63883a8] Standards-Version: 3.9.4 (no changes required)

 -- Florian Ernst <florian@debian.org>  Thu, 22 Aug 2013 13:10:36 +0200

xabacus (7.7.1-2) unstable; urgency=low

  * [5a30197] debian/control: wrap-and-sort
  * [9bb7924] debian/control: explicitly Build-Depend on libxt-dev
    (Closes: #707926)

 -- Florian Ernst <florian@debian.org>  Sun, 12 May 2013 11:16:30 +0200

xabacus (7.7.1-1) unstable; urgency=low

  * [fb38951] Imported Upstream version 7.7.1
  * [d729f5c] debian/control: adjust Vcs-* to best practices
  * [a027961] debian/copyright: adjust copyright years

 -- Florian Ernst <florian@debian.org>  Sun, 05 May 2013 10:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,22 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libaudiofile-dev, libxpm-dev, autotools-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
+Build-Depends: autotools-dev,
+               debhelper (>= 5),
+               dpkg-dev (>= 1.16.1~),
+               libaudiofile-dev,
+               libesd0-dev,
+               libmotif-dev,
+               libxpm-dev,
+               libxt-dev
 Homepage: http://www.tux.org/~bagleyd/abacus.html
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git
-Vcs-Git: git://git.debian.org/collab-maint/xabacus.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xabacus.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/xabacus.git
 
 Package: xabacus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: xabacus
 Conflicts: xabacus
 Replaces: xabacus
@@ -25,7 +32,7 @@
 
 Package: xmabacus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Priority: extra
 Provides: xabacus
 Conflicts: xabacus

=== debian/rules ===
--- 
+++ 
@@ -12,28 +12,28 @@
 		    --prefix=/usr --bindir=/usr/games --with-xpm \
 		    --without-rplay --with-esound --without-nas
 
-CFLAGS = -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
-endif
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS += -Wall
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	true
 
 build-motif-stamp:
 	dh_testdir
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
-	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --with-motif
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --with-motif
 	$(MAKE)
 	touch $@
 
 build-nomotif-stamp:
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) -i distclean
-	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --without-motif
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --without-motif
 	$(MAKE)
 	touch $@
 
@@ -44,7 +44,6 @@
 	dh_clean build-motif-stamp build-nomotif-stamp config.sub config.guess
 
 install: install-motif-stamp install-nomotif-stamp
-	install -D -m 0644 debian/xabacus.lintian-overrides $(CURDIR)/debian/xabacus/usr/share/lintian/overrides/xabacus
 	for INFIX in '' m ; do \
 		set -e ; \
 		install -D debian/x$${INFIX}abacus.desktop \
@@ -84,4 +83,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build build-arch build-indep build-stamp build-motif-stamp build-nomotif-stamp clean install install-motif-stamp install-nomotif-stamp binary-indep binary-arch binary

=== debian/watch ===
version=2
http://ftp.tux.org/pub/tux/bagleyd/xabacus/ xabacus-(.*)\.tar\.bz2

## xabacus 8.0.0

=== debian/changelog ===
xabacus (8.0.0-2) unstable; urgency=medium

  * [a2601b4] fix xmabacus.desktop to refer to the correct binary and icon
  * [c5e4ec4] debian/rules: enable all hardening

 -- Florian Ernst <florian@debian.org>  Wed, 01 Oct 2014 21:25:08 +0200

xabacus (8.0.0-1) unstable; urgency=medium

  * [9947431] Imported Upstream version 8.0.0
    + [834d445] install new xpm
    + [fdf1028] debian/copyright: adjust Copyright year
  * [5e08f8c] debian/control: Standards-Version 3.9.5 (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 06 Apr 2014 13:36:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: autotools-dev,
                debhelper (>= 5),
                dpkg-dev (>= 1.16.1~),

## xabacus 8.0.2

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2012  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2014  David A. Bagley, bagleyd@tux.org
 #
 # All Rights Reserved
 #
@@ -27,6 +27,14 @@
 RM = rm -f
 LN_S = ln -fs
 
+# MinGW System Type Triplets
+# most generic
+#TRIPLET = i686-pc-mingw32
+# on 64 bit building for 32 bit platforms
+TRIPLET = i686-w64-mingw32
+# on 64 building for 64 bit platforms
+#TRIPLET = x86_64-w64-mingw32
+
 # Set your C++ compiler
 # Sun, SunC, Borland, Watcom, Microsoft, GNU
 #CC = cc
@@ -37,7 +45,9 @@
 #CC = CC
 #CC = g++ -Wall -Woverloaded-virtual
 #CC = gcc -Wall -ansi -pedantic
-CC = gcc-3 -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
+#GCC = gcc-3 -mno-cygwin
+GCC = $(TRIPLET)-gcc
+CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
 
 # DEFAULT, Watcom
 LD = $(CC)
@@ -47,7 +57,9 @@
 #RC = rc
 #RC = brc
 #RC = brcc
-RC = windres
+#WINDRES = windres
+WINDRES = $(TRIPLET)-windres
+RC = $(WINDRES)
 
 # Sun, SunC
 LINT = lint
@@ -99,7 +111,8 @@
 #CHOME = c:\bc\
 #CHOME = c:/bc/
 #CHOME =
-CHOME = /usr/lib/w32api
+#CHOME = /usr/lib/w32api
+CHOME = /usr/$(TRIPLET)/sys-root/mingw
 ##INCPATH = $(CHOME)include
 INCPATH = /usr/local/include
 #LIBPATH = $(CHOME)lib
@@ -126,14 +139,15 @@
 
 DEFINES = -DWINVER=$(WINVER) -DHAVE_UNISTD_H \
 -DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
--DBUMPSOUND=\"bump\" -DDRIPSOUND=\"move\" \
+-DBUMPSOUND=\"bump\" -DMOVESOUND=\"move\" -DDRIPSOUND=\"drip\" \
 -DDEMOPATH=\"$(DEMOPATH)\"
 
 # large memory model: Borland, Microsoft, UNIX
 ##COPT = -ml -WE -v -w4
 #COPT = -AL -GA -Ow -W4 -Zp -Zi
-#COPT = -O2
-COPT = -O2 -mno-cygwin
+#COPT = -mno-cygwin
+COPT = -O2
+#COPT = -g
 #COPT = -g -DMONOTEST
 
 # Borland, Microsoft, UNIX
@@ -243,18 +257,14 @@
 sound$(O):	sound.h file.h
 $(PROG)$(O):	$(WIDGET).h $(WIDGET)P.h xwin.h
 
-$(wIDGET).ico:	../pixmaps/$(wIDGET).t.xpm ../pixmaps/$(wIDGET).m.xpm ../pixmaps/$(wIDGET).l.xpm
-	xpmtoppm -alphaout $(wIDGET)_alpha.t.pgm ../pixmaps/$(wIDGET).t.xpm >\
-		$(wIDGET).t.ppm
-	xpmtoppm -alphaout $(wIDGET)_alpha.m.pgm ../pixmaps/$(wIDGET).m.xpm >\
-		$(wIDGET).m.ppm
-	xpmtoppm -alphaout $(wIDGET)_alpha.l.pgm ../pixmaps/$(wIDGET).l.xpm >\
-		$(wIDGET).l.ppm
-	ppmtowinicon -andpgms\
-		$(wIDGET).t.ppm $(wIDGET)_alpha.t.pgm\
-		$(wIDGET).m.ppm $(wIDGET)_alpha.m.pgm\
-		$(wIDGET).l.ppm $(wIDGET)_alpha.l.pgm\
-		> $(wIDGET).ico
+$(wIDGET).ico:	../pixmaps/16x16/$(wIDGET).xpm ../pixmaps/32x32/$(wIDGET).xpm ../pixmaps/48x48/$(wIDGET).xpm
+	LIST="";\
+	for i in 16x16 32x32 48x48; do\
+		xpmtoppm -alphaout $(wIDGET)_alpha_$$i.pgm\
+		../pixmaps/$$i/$(wIDGET).xpm > $(wIDGET)_$$i.ppm;\
+		LIST="$$LIST $(wIDGET)_$$i.ppm $(wIDGET)_alpha_$$i.pgm";\
+	done;\
+	ppmtowinicon -andpgms $$LIST > $(wIDGET).ico
 	$(RM) *.ppm *.pgm
 
 $(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico version.h
@@ -275,12 +285,11 @@
 run:
 	./$(PROG)
 
-# runtime options are currently ignored in Windows, set ini
+# runtime options are currently ignored in Windows, set in ini file
 
 clean:
 	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj *.lnk
 	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
-	$(RM) *.ppm *.pgm
 
 distclean:	clean
 	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)

=== debian/changelog ===
xabacus (8.0.2-1) unstable; urgency=medium

  * [215d7b8] Imported Upstream version 8.0.2
  * [dc30ec9] debian/control: Standards-Version: 3.9.6 (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 26 Apr 2015 11:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: autotools-dev,
                debhelper (>= 5),
                dpkg-dev (>= 1.16.1~),

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 		    --prefix=/usr --bindir=/usr/games --with-xpm \
 		    --without-rplay --with-esound --without-nas
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS += -Wall
@@ -27,14 +28,14 @@
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
 	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --with-motif
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" XWIDGETLDFLAGS="$(LDFLAGS)"
 	touch $@
 
 build-nomotif-stamp:
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) -i distclean
 	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --without-motif
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" XWIDGETLDFLAGS="$(LDFLAGS)"
 	touch $@
 
 clean:
@@ -49,8 +50,8 @@
 		install -D debian/x$${INFIX}abacus.desktop \
 			$(CURDIR)/debian/x$${INFIX}abacus/usr/share/applications/x$${INFIX}abacus.desktop ; \
 		PIXDIR=$(CURDIR)/debian/x$${INFIX}abacus/usr/share/pixmaps ; \
-		install -D -m 0644 $(CURDIR)/pixmaps/abacus.t.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
-		install -D -m 0644 $(CURDIR)/pixmaps/abacus.m.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
+		install -D -m 0644 $(CURDIR)/pixmaps/16x16/abacus.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
+		install -D -m 0644 $(CURDIR)/pixmaps/32x32/abacus.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
 		rm $(CURDIR)/debian/x$${INFIX}abacus/usr/share/games/xabacus/Abacus.ps ; \
 	done

## xabacus 8.0.8

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2014  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2016  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #

=== debian/changelog ===
xabacus (8.0.8-1) unstable; urgency=medium

  * [23dfa61] change of xabacus hosting, adjusting debian/* accordingly
  * [74e3767] New upstream version 8.0.8
  * [8b58ec7] debian/copyright / debian/*doc-base: update author and copyright year
  * [ec39d90] change sound system from esound to nas (Closes: 856091)
  * [340a9a2] debian/control: update Vcs-* fields
  * [e04c568] drop lesstif2 from xmabacus package description and menu
  * [9b830c6] use up-to-date debhelper compatibility level
  * [2898189] debian/control: update Standards-Version (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 25 Jun 2017 11:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Build-Depends: autotools-dev,
-               debhelper (>= 5),
+               debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
-               libesd0-dev,
+               libaudio-dev,
                libmotif-dev,
                libxpm-dev,
                libxt-dev
-Homepage: http://www.tux.org/~bagleyd/abacus.html
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xabacus.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/xabacus.git
+Homepage: http://www.sillycycle.com/abacus.html
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xabacus.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xabacus.git
 
 Package: xabacus
 Architecture: any
@@ -42,6 +42,5 @@
  the Chinese, Japanese, Korean, Roman and Russian version and can be
  modified to allow others.
  .
- This is the Motif version which shows additional functionality. It was
- compiled with lesstif2. Motif is a GUI widget library for the X Window
- system.
+ This is the Motif version which shows additional functionality. Motif
+ is a GUI widget library for the X Window system.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr --bindir=/usr/games --with-xpm \
-		    --without-rplay --with-esound --without-nas
+		    --without-rplay --without-esound --with-nas
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1

=== debian/watch ===
version=2
http://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.xz

## xabacus 8.1.4+dfsg1

=== debian/changelog ===
xabacus (8.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Deleted unnecessary sources directory win32 and repackaging.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 29 Oct 2017 11:11:28 +0100

xabacus (8.1.3+dfsg1-1) unstable; urgency=medium

  * New maintainer (Closes: #870519).
  * Deleted unnecessary sources directory win32 and repackaging.
  * Update debian/watch file to version 4 and added dversionmangle
    option.
  * Update Standards-Version (4.1.1):
    - Removed autotools-dev dependency on debian/control.
  * Changed debian/rules to make the build reproducible,
    thanks Chris Lamb (Closes: #865994).
  * Changed the Priority field to optional from xmabacus 
    on debian/control.
  * Removed duplicate field Priority on debian/control.
  * Added Keywords field on debian/*.desktop files.
  * Removed obsolete menu files on debian directory.
  * Re-written the debian/copyright file to the standard 1.0 format.
  * Install play.sh file on /usr/share/games/xabacus/:
    + Added move-play-file.patch file to change installation directory. 
    + Added configuration flag on debian/rules.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 30 Sep 2017 18:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xabacus
 Section: games
 Priority: optional
-Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: autotools-dev,
-               debhelper (>= 10),
+Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
                libaudio-dev,
@@ -33,7 +32,6 @@
 Package: xmabacus
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Priority: extra
 Provides: xabacus
 Conflicts: xabacus
 Replaces: xabacus

## xabacus 8.1.5+dfsg1

=== debian/changelog ===
xabacus (8.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Deleted unnecessary sources directory win32 and repackaging.
  * Update Standards-Version (4.1.2): no changes required.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 08 Dec 2017 17:05:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,

## xabacus 8.1.6+dfsg1

=== debian/changelog ===
xabacus (8.1.6+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    + Updated years on debian/copyright.
  * Deleted unnecessary sources directory win32 and repackaging.
  * Update Standards-Version (4.1.3):
    * Bumped to debhelper 11.
  * Removed unnecessary move-play-file-config.patch file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 10 Feb 2018 18:28:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
                libaudio-dev,

## xabacus 8.1.7+dfsg1

=== debian/changelog ===
xabacus (8.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version (4.1.4).
  * Write secure copyright format uri on debian/copyright file.
  * Added Files-Excluded and Comment fields on debian/copyright.
  * Migrated repository to salsa.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 14 Apr 2018 10:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
@@ -11,8 +11,8 @@
                libxpm-dev,
                libxt-dev
 Homepage: http://www.sillycycle.com/abacus.html
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xabacus.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xabacus.git
+Vcs-Browser: https://salsa.debian.org/demarchi-guest/xabacus
+Vcs-Git: https://salsa.debian.org/demarchi-guest/xabacus.git
 
 Package: xabacus
 Architecture: any

## xabacus 8.2.1

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2016  David A. Bagley, bagleyd AT verizon.net
+# Copyright 1995 - 2017  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
@@ -117,25 +117,29 @@
 INCPATH = /usr/local/include
 #LIBPATH = $(CHOME)lib
 LIBPATH = $(CHOME)
+#INCLUDES = -I$(INCPATH) -I/usr/include/libxml2
 INCLUDES = -I$(INCPATH)
+#LIBRARIES = -L$(LIBPATH) -lwinmm -lxml2 -lz -llzma -liconv -lm
 LIBRARIES = -L$(LIBPATH) -lwinmm -lm
 
 HDRS = $(WIDGET)P.h $(WIDGET).h \
 xwin.h file.h timer.h rngs.h sound.h version.h
 
 COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
-$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)
+$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)E$(O)$(S)$(WIDGET)F$(O)
 OBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)rngs$(O)$(S)sound$(O)$(S)\
 $(COREOBJS)$(S)$(P)$(wIDGET)$(O)
 
 CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) \
-$(WIDGET)M$(C) $(WIDGET)T$(C)
+$(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)E$(C) $(WIDGET)F$(C)
 SRCS = xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C) \
 $(CORESRCS) $(P)$(wIDGET)$(C)
 
 TEXT = $(WIDGET).txt x$(wIDGET).htm
 
 #OBJS = $(SRCS:$(C)=$(O))
+
+# Define for reading xml demo -DHAVE_LIBXML2
 
 DEFINES = -DWINVER=$(WINVER) -DHAVE_UNISTD_H \
 -DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
@@ -207,6 +211,12 @@
 $(WIDGET)T$(C):	../$(WIDGET)T$(C)
 	$(LN_S) ../$(WIDGET)T$(C) $(WIDGET)T$(C)
 
+$(WIDGET)E$(C):	../$(WIDGET)E$(C)
+	$(LN_S) ../$(WIDGET)E$(C) $(WIDGET)E$(C)
+
+$(WIDGET)F$(C):	../$(WIDGET)F$(C)
+	$(LN_S) ../$(WIDGET)F$(C) $(WIDGET)F$(C)
+
 xwin$(C):	../xwin$(C)
 	$(LN_S) ../xwin$(C) xwin$(C)
 
@@ -225,21 +235,22 @@
 $(PROG)$(C):	../x$(wIDGET)$(C)
 	$(LN_S) ../x$(wIDGET)$(C) $(PROG)$(C)
 
-lessons:	../lessons
-	$(CP)r ../lessons .
-
-$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog ../NEWS
-	cat ../COPYING > $(WIDGET).txt
-	echo "" >> $(WIDGET).txt
-	cat version.h | cut -f2 -d\" >> $(WIDGET).txt
+$(wIDGET)Demo.xml:	../$(wIDGET)Demo.xml
+	$(CP)r ../$(wIDGET)Demo.xml .
+
+$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog
+#	cat ../COPYING > $(WIDGET).txt
+#	echo "" >> $(WIDGET).txt
+	grep VERSION version.h | cut -f2 -d\" >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
 	sed s/^x$(wIDGET)/w$(wIDGET)/ ../README >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
 	cat ../TODO >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
+	echo "Updates to abacus:" >> $(WIDGET).txt
 	cat ../ChangeLog >> $(WIDGET).txt
-	echo "" >> $(WIDGET).txt
-	cat ../NEWS >> $(WIDGET).txt
+#	echo "" >> $(WIDGET).txt
+#	cat ../NEWS >> $(WIDGET).txt
 
 # This is for X-Windows but contains some general stuff too.
 x$(wIDGET).htm:	../x$(wIDGET).html
@@ -250,6 +261,8 @@
 $(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
 $(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)T$(O):	$(WIDGET).h $(WIDGET)P.h
+$(WIDGET)E$(O):	$(WIDGET)P.h
+$(WIDGET)F$(O):	$(WIDGET)P.h
 xwin$(O):	xwin.h
 file$(O):	file.h
 timer$(O):	timer.h
@@ -272,7 +285,11 @@
 
 #	$(RC) $(INCLUDES) $(PROG).rc
 
-$(PROG)$(E):	$(OBJS) $(PROG).res lessons
+# libxml2 needed
+#$(PROG)$(E):	$(OBJS) $(PROG).res $(wIDGET)Demo.xml
+#	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@
+
+$(PROG)$(E):	$(OBJS) $(PROG).res
 	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@
 
 ##$(PROG)$(E):	$(OBJS) $(PROG).res $(PROG).def
@@ -294,8 +311,7 @@
 distclean:	clean
 	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
 	$(RM) xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
-	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h Abacus.les
-	$(RM)r lessons
+	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h
 
 small:	all
 	strip --strip-all $(PROG)$(E); true
@@ -315,7 +331,7 @@
 lint:	$(SRCS)
 	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
 
-ASCIIWINEXTEND=c h ini rc txt htm les
+ASCIIWINEXTEND=c h ini rc txt htm
 DOSDIR=../../win/$(PROG)
 # Handles both versions (Linux and SunOS) of unix2dos and dos2unix
 
@@ -342,7 +358,7 @@
 	done
 
 dist:
-	mkdir -p $(DOSDIR)/lessons;\
+	mkdir -p $(DOSDIR);\
 	for j in $(ASCIIWINEXTEND); do\
 		for k in *.$${j}; do\
 			if [ -r $${k} ]; then\
@@ -357,12 +373,4 @@
 		if [ -r $${k} ]; then\
 			cp -p $${k} $(DOSDIR)/$${k};\
 		fi;\
-	done;\
-	for k in lessons/*.les; do\
-		if [ -r $${k} ]; then\
-			cp $${k} $(DOSDIR)/$${k}.old;\
-			cp $${k} $(DOSDIR)/$${k};\
-			unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
-			rm $(DOSDIR)/$${k}.old;\
-		fi;\
 	done

=== debian/changelog ===
xabacus (8.2.1-1) unstable; urgency=medium

  * Adopting package (Closes: #922889)
  * New upstream release
  * Update standards version to 4.3.0
  * Upgrade to debian-compat (=12)
  * Move git repository to debian project on salsa.debian.org
  * Stop removing tiny uneccary files

 -- Jonathan Carter <jcc@debian.org>  Fri, 22 Feb 2019 12:10:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xabacus
 Section: games
 Priority: optional
-Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
+Maintainer: Jonathan Carter <jcc@debian.org> 
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
                libaudio-dev,
@@ -11,8 +11,8 @@
                libxpm-dev,
                libxt-dev
 Homepage: http://www.sillycycle.com/abacus.html
-Vcs-Browser: https://salsa.debian.org/demarchi-guest/xabacus
-Vcs-Git: https://salsa.debian.org/demarchi-guest/xabacus.git
+Vcs-Browser: https://salsa.debian.org/debian/xabacus
+Vcs-Git: https://salsa.debian.org/debian/xabacus.git
 
 Package: xabacus
 Architecture: any
